package de.joethei.hs.java2.praktikum.praktikum2;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.Set;

public class CharCollection {

    ArrayList<Character> list = new ArrayList<>();

    public CharCollection(char... cc) {
        for(char c:cc) this.list.add(c);
    }
    public CharCollection(String s) {
       for(char c : s.toCharArray()) {
           this.list.add(c);
       }
    }


    public int size() {
        return this.list.size();
    }

    public int count(char c) {
        int rueckgabe = 0;
        for(char b:list) {
            if(b == c)rueckgabe ++;
        }
        return rueckgabe;
    }

    @Override
    public boolean equals(Object o) {
        if(o instanceof CharCollection) {
            CharCollection c = (CharCollection) o;
            return this.list.equals(c.list);
        }return false;
    }

    public int different() {
        Set<Character> set = new HashSet<>(list);
        return set.size();
    }

    /*public char top() {
        if(list.size() == 0) return 0;

    }*/

    public String toString() {
        return list.toString().replace('[', '(').replace(']', ')');
    }
}